- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moTabuList< M > Class Template Reference

Class describing a tabu list that a moTS uses. More...

`#include <moTabuList.h>`

Inheritance diagram for moTabuList< M >:

List of all members.

## Public Types
typedef M::EOType | EOT
| Alias for the type.
## Public Member Functions
virtual void | add (const M &__move, const EOT &__sol)=0
| Procedure to add a move in the tabu list.
virtual void | update ()=0
| Procedure that updates the tabu list content.
virtual void | init ()=0
| Procedure which initialises the tabu list.

## Detailed Description

### template<class M>
class moTabuList< M >

Class describing a tabu list that a moTS uses.

It is only a description, does nothing... A new object that herits from this class has to be defined in order to be used in a moTS.

Definition at line 22 of file moTabuList.h.

## Member Function Documentation

template<class M>

virtual void moTabuList< M >::add | ( | const M & | __move,
|  | const EOT & | __sol |
| ) |  |  | `[pure virtual]`

Procedure to add a move in the tabu list.

The two parameters have not to be modified so they are constant parameters.

Parameters:

  | __move | a new tabu move.
  | __sol | the origianl solution associated to this move.

Implemented in moSimpleMoveTabuList< M >, and moSimpleSolutionTabuList< M >.

template<class M>

virtual void moTabuList< M >::update | ( |  | ) | `[pure virtual]`

Procedure that updates the tabu list content.

Generally, a counter associated to each saved move is decreased by one.

Implemented in moSimpleMoveTabuList< M >, and moSimpleSolutionTabuList< M >.

template<class M>

virtual void moTabuList< M >::init | ( |  | ) | `[pure virtual]`

Procedure which initialises the tabu list.

Can be useful if the data structure needs to be allocated before being used.

Implemented in moSimpleMoveTabuList< M >, and moSimpleSolutionTabuList< M >.

The documentation for this class was generated from the following file:

- moTabuList.h